Obter esquema de campos personalizados
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"reasonForAccountOpening": {
"type": "string",
"title": "Reason for account opening",
"enum": [
"receive_payments_for_goods_and_services",
"payroll",
"other"
]
},
"sourceOfFundsAndIncome": {
"type": "string"
},
"numberOfEmployees": {
"type": "string",
"enum": [
"1-10",
"11-50",
"51-200",
"200+"
]
},
"estimatedAnnualRevenueUsd": {
"type": "string"
},
"estimatedMonthlyVolumeUsd": {
"type": "string"
},
"businessActivityDescription": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"countryTaxResidence": {
"type": "string",
"minLength": 3,
"maxLength": 3
},
"socialMedia": {
"type": "string"
},
"emailPixKey": {
"type": "string"
},
"percentageOfOwnership": {
"type": "string"
},
"hasControl": {
"type": "string"
},
"documentCountry": {
"type": "string"
},
"countryOfTaxId": {
"type": "string"
}
},
"additionalProperties": false
}
ENTIDADES
Obter esquema de campos personalizados
GET
/
api
/
entity
/
v1
/
custom-fields
/
schema
Obter esquema de campos personalizados
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"reasonForAccountOpening": {
"type": "string",
"title": "Reason for account opening",
"enum": [
"receive_payments_for_goods_and_services",
"payroll",
"other"
]
},
"sourceOfFundsAndIncome": {
"type": "string"
},
"numberOfEmployees": {
"type": "string",
"enum": [
"1-10",
"11-50",
"51-200",
"200+"
]
},
"estimatedAnnualRevenueUsd": {
"type": "string"
},
"estimatedMonthlyVolumeUsd": {
"type": "string"
},
"businessActivityDescription": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"countryTaxResidence": {
"type": "string",
"minLength": 3,
"maxLength": 3
},
"socialMedia": {
"type": "string"
},
"emailPixKey": {
"type": "string"
},
"percentageOfOwnership": {
"type": "string"
},
"hasControl": {
"type": "string"
},
"documentCountry": {
"type": "string"
},
"countryOfTaxId": {
"type": "string"
}
},
"additionalProperties": false
}
Retorna o esquema de campos personalizados publicado do seu comerciante, como JSON Schema (padrão) ou como a definição de campos nativa da Localpayment (?format=definition). Use-o para criar formulários e validar attributes antes de chamar a API.
- Os esquemas são definidos e publicados pela Localpayment para o seu comerciante durante o onboarding; solicite alterações por meio do seu gerente de conta.
- Quando nenhum esquema está publicado, attributes é aceito sem validação e este endpoint retorna 404.
- O esquema se aplica a entidades INDIVIDUAL e COMPANY.
application/problem+json com um code estável. Catálogo completo: Status de Entidades e Códigos de Erro.Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso. Sua conta de comerciante e o usuário que realiza a ação são identificados a partir dele.
Exemplo:
"Bearer <your_access_token>"
Parâmetros de consulta
Última modificação em 10 de novembro de 2026

